import App from './App'

import {
	toast,
	transDictLabel,
	changeDictAttrName,
	getDictList,
	showConfirm
} from './common/common.js'
import config from '@/config.js'

Vue.prototype.toast = toast
Vue.prototype.transDictLabel = transDictLabel
Vue.prototype.changeDictAttrName = changeDictAttrName
Vue.prototype.getDictList = getDictList
Vue.prototype.showConfirm = showConfirm
Vue.prototype.config = config
//获取cookie
Vue.prototype.getCookie = function(objName){
    var arrStr = document.cookie.split("; ");
    for (var i = 0; i < arrStr.length; i++) {
			var temp = arrStr[i].split("=");
			if (temp[0] == objName){
				return decodeURI(temp[1]);
			}
		}
		
}



// #ifndef VUE3
import Vue from 'vue'
import './uni.promisify.adaptor'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
	...App
})
app.$mount()
// #endif

// #ifdef VUE3
import {
	createSSRApp
} from 'vue'
export function createApp() {
	const app = createSSRApp(App)
	return {
		app
	}
}
// #endif